import { Component } from '@angular/core';
import { LoadingController, IonicPage, NavController, NavParams } from 'ionic-angular';

import { HospitalServicesProvider } from '../../providers/apiServices/hos.services';
import { Functions } from '../../providers/functions';

/**
 * Generated class for the HospitalEstadaPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-hospital-estada',
  templateUrl: 'hospital-estada.html',
})
export class HospitalEstadaPage {

  monthShort : string = this.commonFunction.getMonthShort();

  constructor(public navCtrl: NavController,
              public navParams: NavParams,
              public loadingCtrl: LoadingController,
              public hosServices: HospitalServicesProvider,
              public commonFunction: Functions) {
  }


}
