import { Component } from '@angular/core';
import { Events } from 'ionic-angular';

import { HomePage } from '../home/home';
import { UrgenciesPage } from '../urgencies/urgencies';
import { HospitalPage } from '../hospital/hospital';
/*import { CirurgiaPage } from '../cirurgia/cirurgia';*/

@Component({
  templateUrl: 'tabs.html'
})
export class TabsPage {

  tab1Root = HomePage;
  tab2Root = UrgenciesPage;
  tab3Root = HospitalPage;
  /*tab4Root = CirurgiaPage;*/

  constructor(public events: Events) {
  }

  refreshUrgencies(){
    this.events.publish('functionCall:refreshUrgencies');
  }

  refreshHospital(){
    this.events.publish('functionCall:refreshHospital');
  }

}
