import { Injectable } from '@angular/core';
import { Http, Headers, RequestOptions} from '@angular/http';
import 'rxjs/add/operator/map';

/*
  Generated class for the WrapperProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
@Injectable()
export class WrapperProvider {

  /**
   * Connection URLs have been hidden for security reasons
   */

  urlAppServices = "urlAppServices";
  urlAppUsers = "urlAppUsers";
  urlLDAP = "urlLDAP";
  urlUrgHome = "urlUrgHome";
  urlHosHome = "urlHosHome";
  urlUrgTabIngressar = "urlUrgTabIngressar";
  urlUrgTabLlits = "urlUrgTabLlits";
  urlUrgTabArees = "urlUrgTabArees";
  urlUrgTabZones = "urlUrgTabZones";
  urlUrgTabRecorregut = "urlUrgTabRecorregut";
  urlHosTabAltes = "urlHosTabAltes";
  urlHosTabOcupacio = "urlHosTabOcupacio";

  constructor(public http: Http) {
  }

  public buildHeaders(){
    let headers = new Headers({'Content-Type': 'application/x-www-form-urlencoded'});
    let options = new RequestOptions({headers:headers});
    return options;
  }

}
