import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { WrapperProvider } from "./wrapper";
import { Observable } from "rxjs/Rx";

/*
  Generated class for the AuthProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
@Injectable()
export class AuthProvider extends WrapperProvider {

    options = this.buildHeaders();

  constructor(public http: Http) {
    super(http);
  }

  login(formLogin) : Observable<any> {

    //TODO: if ( userIsAuthorized() ) {}

    let params = "pUsuari="+formLogin.username+"&pPwd="+formLogin.password;
    return this.http.post(this.urlAppServices+this.urlLDAP,params,this.options)
      .map(res=>res.json())
      .catch((error:any) => Observable.throw(error.json().error || 'Server error') );
  }

  userIsAuthorized() {
    //TODO: CHECK IF USER IS AUTHORIZED
  }    

}
